/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_FAST                                                     */
/* Tabela : FASETRAM                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 22/06/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_FAST
BEFORE INSERT OR UPDATE OR DELETE
ON FASETRAM FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUFAST := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATUFAST := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('FASETRAM', '', 'CDFASETRAM='||:OLD.CDFASETRAM||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE FASETRAM MODIFY DTULTATUFAST DEFAULT SYSDATE
/
